import * as React from 'react'

export interface NumberInputFormProp {
    value: string
    placeholder: string
    onchange: () => void
    error: string
}

export const NumberInput = (props: NumberInputFormProp) => {
    const errorDiv = props.error
        ? <div className="alert-error">{props.error}</div>
        : <div></div>
    return (
        <div className="form-group">
            <input
                type="number"
                value={props.value}
                placeholder={props.placeholder}
                className="form-control"
                onChange={props.onchange}
                />
            {errorDiv}
        </div>
    )
}

export default NumberInput